Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.io
Class IteratorAdapterTrainingSequenceInput<T>

    java.lang.Object
      calhoun.analysis.crf.io.IteratorAdapterTrainingSequenceInput<T>

Type Parameters:
  `T` - the type of the underlying input sequence

All Implemented Interfaces:
  java.util.Iterator<InputSequence<? extends T>>

    public class IteratorAdapterTrainingSequenceInput<T>

extends java.lang.Object
implements java.util.Iterator<InputSequence<? extends T>>

utility class to convert an iterator over training sequences into an iterator over the underlying input sequences

Constructor Summary
`IteratorAdapterTrainingSequenceInput(java.util.Iterator<? extends TrainingSequence<T>> trainingIterator)` constructs a new iterator which will extract the input sequence from the training sequences

Method Summary
`boolean` | `hasNext()`
`InputSequence<? extends T>` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IteratorAdapterTrainingSequenceInput

    public IteratorAdapterTrainingSequenceInput(java.util.Iterator<? extends TrainingSequence<T>> trainingIterator)

  constructs a new iterator which will extract the input sequence from the training sequences

  Parameters:
    `trainingIterator` - the iterator over training sequences to extract the input sequence from

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<InputSequence<? extends T>>`

### next

    public InputSequence<? extends T> next()

  Specified by:
    `next` in interface `java.util.Iterator<InputSequence<? extends T>>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<InputSequence<? extends T>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD